//
//  MembershipListInteractor.swift
//  SuperSpaManagement
//
//  Created by PHAM ANH TUAN on 3/21/21.
//  Copyright (c) 2021 ___ORGANIZATIONNAME___. All rights reserved.
//
//  This file was generated by the 🐍 VIPER generator
//

import Foundation
import RxSwift
import Resolver

protocol MembershipListInteractorInterface: InteractorInterface {
    func getMemberships() -> Observable<[Membership]>
}

final class MembershipListInteractor {
    @LazyInjected var membershipService: MembershipsServiceType
}

// MARK: - Extensions -

extension MembershipListInteractor: MembershipListInteractorInterface {
    func getMemberships() -> Observable<[Membership]> {
        return membershipService.getMemberships()
    }
}
